#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    unsigned long long int L,R,N,x=0;
    int t;
    float a,b,c,i,p,q,r;
    scanf("%f",&p);
    scanf("%f",&q);
    scanf("%f",&r);
    scanf("%llu",&L);
    scanf("%llu",&R);

    for(L=L;L<R+1;L++)
    {
        N=L;
        a=N/p;
        b=N/q;
        c=N/r;

        a=ceil(a);
        b=ceil(b);
        c=ceil(c);

        t=a+b+c;

        if(N>=t)
        {
x=x+1;
        }
    }

    printf("%llu",x);


    return 0;
}